Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001222SpeedFanFan controlpublic2008-08-15 13:382014-01-14 03:20
ReporterWaltA 
Assigned Toalfredo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWin XP ProfOS VersionSP3
Product Version4.35 beta 
Target VersionFixed in Version4.40 beta 
Summary0001222: ASUS P5Q (W83667HG) - Can't control CPU Fan Speed
DescriptionSpeedfan offers me four speed controls. I have tried varying all four, from 100% down to 50% and then down to 0%, and none of them adjust the CPU Fan Speed. The CPU Fan is connected to the normal/obvious CPU_FAN board connector.

However, SPEED2 does adjust the chassis fans connected to both the CHA_FAN1 and CHA_FAN2 board connectors. That kind of surprised me, I would have assumed CHA_FAN1 and CHA_FAN2 would offer separate speed controls, but I can certainly live with tied together that way.

It does appear that temps, rpms, voltages are all correctly working, even from my video card. Well, I get numbers which seem reasonable.

If I can just get the CPU Fan speed control working, I would be pretty appreciative.
Steps To ReproduceSimply start Speedfan.
Additional InformationThis is the plain P5Q motherboard, with no suffix or adjective after the "P5Q".
TagsNo tags attached.
Motherboard Model
Video Card ModelMSI Geforce 9500 GT
Attached Filesjpg file icon Dodgy Asus Fan Control.jpg [^] (85,469 bytes) 2009-03-27 03:57

- Relationships
has duplicate 0001280closedalfredo ASUS P5Q-E (CPU) Fan Control 
has duplicate 0001430closedalfredo Winbond W83667HG Chip seems not to be supported 

-  Notes
(0004002)
WaltA (reporter)
2008-08-15 13:41

BTW, I do indeed have a 4 pin CPU fan. Actually, the same CPU fan/heatsink I used on my previous DFI motherboard, and Speedfan had no problems adjusting its speed on the DFI motherboard.
(0004003)
norman02us (reporter)
2008-08-15 15:20

Have you tried different PWM Modes and PWM Types in the Advanced Menu?

How is Q-Fan set in the BIOS?
(0004009)
WaltA (reporter)
2008-08-15 22:31

I have both Q-Fan settings to disable in BIOS. BTW, I have tried enabling them too, and then the CPU Fan does indeed slow down. I only mention that, to ensure that the hardware seems to be fine.
  
What PWM modes and types should be tried? Just play with them randomly? Are all settings "safe"?
(0004010)
norman02us (reporter)
2008-08-15 23:19

Why don't you leave Q-Fan enabled if Speedfan can control the CPU fan then?

The settings are safe. Either they work or they don't :D

PWM type should be PWM output because you want to control a PWM fan. Just play with the modes.
(0004011)
Hofman (reporter)
2008-08-16 00:19
edited on: 2008-08-16 00:33

i have exactly the same problem - tried all settings under Advanced

I seems that speedfan doesnt change Offset 03h (CPUFANOUT Output Value Select Register), it always stays at FF == 100%

if i would know how to change the registers of the I/O-Chip, i could test around a bit, but i have no clue how to- and haven't found information about that on the net :-/

(0004012)
WaltA (reporter)
2008-08-16 12:56

It is either Q-Fan *or* Speedfan.
  
I have been using Speedfan for years, and I think it is a great utility. I would rather keep using Speedfan than switch to Q-Fan (or anything else). I have faith that Alfredo will successfully work thru this.
(0004013)
norman02us (reporter)
2008-08-16 15:21

Actually, the normal case is Q-Fan AND Speedfan. I'm using both on my P5B Deluxe. Speedfan just takes over when Windows has started.

Disabling Q-Fan is only necessary for a few Asus Boards to get control with Speedfan.
(0004014)
WaltA (reporter)
2008-08-17 18:18

I was unaware that Speedfan actually disabled Q-Fan so that both aren't attempting to control the fans. Thanks for the confirmation.

I only even mentioned Q-Fan, just to rule out a board hardware problem.

Anyhow, Speedfan still can't, itself, control the CPU fan on the P5Q as Hofman detailed in his posting much better than I.
(0004030)
shawnboy (reporter)
2008-08-20 08:49

Same problem for me--control of both Chassis fans (together) and no control of CPU fan. I'm running the released 4.35.
(0004065)
alfredo (manager)
2008-08-27 12:31

I'm looking at the datasheet now.
(0004066)
alfredo (manager)
2008-08-27 12:56
edited on: 2008-08-27 14:39

@Hofman
I checked the source code and SpeedFan writes to register $03. I'm going to see if there is any option to make that register read-only. I think that it is read-only when MANUAL mode is not selected.

(0004067)
alfredo (manager)
2008-08-27 14:39

I checked the whole datasheet and couldn't find any additional interesting bit. Any hint?
(0004068)
Hofman (reporter)
2008-08-27 15:53
edited on: 2008-08-27 18:08

maybe we could try to set the "SmartFan IV Monitor Temperature Output Value Register 61h" to the output value.

and/or

we could make a static SmartFan IV profile, where the temeratures and output values are always the same.

"Smart Fan IV Temperature 1 Registr T1 - Index 6Fh" to "Smart Fan IV Temperature 1 Register T6 - Index 74h"
and
"Smart Fan IV DC/PWM 1 Register - Index 75h" to ""Smart Fan IV DC/PWM 6 Register - Index 7Ah"


because i dont see a difference betwenn Bios Qfan and Qfan disabled. It seems that smartFan IV is always enabled.

edit: i havent found how to disable SmartFan IV. My hint is that SmartFanIV overrides the values, that speedfan sets.

The case (sys) fans use SmartFan III for temperature-control, which is set by Offset 04h FAN Configuration Register I, CPUFANOUT_MODE: 11: CPUFANOUT is in SMART FANTMIII Mode.

edit2: i just looked at the datasheet of the W83627DHG, and that chip has NO SmartFan IV. So now we have a difference between W83667HG and W83627DHG

(0004071)
WaltA (reporter)
2008-08-31 14:37

I don't know if this means anything, but Speedfan reports finding:
   
    SuperIO Chip=Winbond W83667HG
    Winbond W83627DHG (ID=$C1) found on ISA at $290
  
In a quick check of their datasheets, both the ..67 and the ..27 include fan speed monitor/controller functions. Does the P5Q really have both? If not, is Speedfan getting "confused" because it thinks there are both? I mean, is it applying the wrong "rules"?
(0004072)
Hofman (reporter)
2008-08-31 16:39

SuperIO Chip=Winbond W83667HG
    Winbond W83627DHG (ID=$C1) found on ISA at $290

its because these 2 chips have the same Hardware Monitor-Chip ID.
So SpeedFan assumes they have exactely the same functions/capabilities

but they havent as you can see in my last notice-edit2
(0004129)
Hofman (reporter)
2008-09-09 12:52

bump, just in case you missed my last notice 2 weeks ago
(0004130)
alfredo (manager)
2008-09-09 14:11

I'm studying the datasheets.
(0004131)
alfredo (manager)
2008-09-09 14:59

Ok: it's not easy to decipher the datasheets.
First of all: I hate the fact that both hardware monitors share the same DEVICE ID, but I will use heuristic to identify the two.
There should be 4 FAN CONTROLS. One of them (FANCTRL2) can be selected to work either in SMART FAN I or SMART FAN III mode. I still have to find out this can be selected.
AUXFANOUT can work as SMART FAN I, III or IV.
SYSFANOUT can work as SMART FAN I, III or IV.
CPUFANOUT can work as SMART FAN I, III or IV.
I'm trying to create a map with all available combinations, but I have one problem:
SYSFANOUT can be set to be controlled using FANCTRL2. FANCTRL2 can be selected either as SMART FAN I or as SMART FAN III. Unfortunately I could not find any bit to set SYSFANOUT to work in SMART FAN III mode. If this is a mistake in the datasheet then I think I understood how things should be set, otherwise...
(0004132)
alfredo (manager)
2008-09-09 15:22

What causes me so much trouble is that the perspective from which each setting is described changes everytime. On one page we read that CPUFANOUT can be selected to work as MANUAL, THERMAL, FAN SPEED or SMART FAN III MODE. I assume that those settings are valid if SMART FAN IV MODE is not selected for CPUFANOUT. This means that we must have set the bit 5 at index $7C to ZERO (in this way, CPUFANOUT is controlled by FANCTRL2).
On another page we read that SYSFANOUT can be controlled by FANCTRL2 too.
This is the problem: FANCTRL2 is, according to figure 8-11, a unique block, but the register at inxex $04 seems to allow us to set SYSFANOUT and CPUFANOUT to two different modes.
How can this be?!? How can a single logic block generate two different outputs on a single wire?
(0004151)
Hofman (reporter)
2008-09-12 22:13

This means that we must have set the bit 5 at index $7C to ZERO (in this way, CPUFANOUT is controlled by FANCTRL2).
^this could work

On another page we read that SYSFANOUT can be controlled by FANCTRL2 too.
^it should be no problem, to control all 3 outputs with the same FANCTRL, all outputs will just have the same output values.
(0004194)
norman02us (reporter)
2008-09-28 01:41

Any Update on that?
(0004233)
cothilian (reporter)
2008-10-26 19:33

Unfortunately, same problem exists with P5Q Pro. Speed01/Pwm1 controls both chassi fans while the CPU fan can't be controlled at all.
I love Speedfan so this is huge issue for me. I'm starting to consider buying another motherboard.
(0004260)
sanchezz (reporter)
2008-11-12 18:34

Same Problem here... I love Speedfan, but it just can't control my CPU-Fan, which sucks so bad since it's way too load.
PLEASE fix this if there is any chance. I guess there are a ton of people with the ASUS P5Q Boards, so it should be worth the effort...
(0004273)
spar (reporter)
2008-11-15 21:11
edited on: 2008-11-15 21:12

Got the same problem, bought the P5Q a couple of days ago, havent had a right temp reading from any program since, nor am I able to change any speed from the fans.

Whats strange is when I start up Everest and start up the System Stability Test only to check up on fan speeds/etc, Speedfan starts showing an extra fan speed reading.

I only had 2, Sys Fan and CPU0 Fan, now Aux0 Fan had a reading behind it. Reason I felt like posting is cause Everest did the exact same thing on another mobo I had where the readings were off.

(0004314)
Fjord (reporter)
2008-11-24 17:22
edited on: 2008-11-24 20:50

Info: My Asus P5Q PRO, rev 1.03G, has a Winbond W83667HG-A chip.

I have 4 fans installed, using all the 4 available fan connectors. The hardware monitor in the bios (1501) shows 4 different fan speeds, corresponding to the 4 fan jacks, labelled
- cpu_fan (4 pin),
- cha_fan1 (3 pin),
- cha_fan2 (3 pin) and
- pwr_fan (3 pin).

The motherboard user manual says "Only the CPU-FAN and CHA-FAN 1-3 connectors support the ASUS Q-Fan feature." I assume that should read "CHA-FAN 1-2" since there is no cha_fan3 connector, and I don't think this can be mistaken with pwr_fan. In bios there are 2 Q-Fan settings: "CPU Q-Fan Control" and "Chassis Q-Fan Control". I have both set to enabled, and the associated profiles set to "Silent".

I can see 3 fan speeds in SpeedFan 4.35, corresponding to cpu_fan, cha_fan1 and cha_fan2. Speed01 controls both cha_fan1 and cha_fan2. cpu_fan speed does not respond to any control. When fan speed drops below about 500, the speed shown in SpeedFan goes to 0, even though the fans are still spinning.

I hope this helps in searching for the right SpeedFan configuration. I'll be happy to test any settings proposed.

Edit: Note: The "P5Q PRO" only differs from "P5Q" motherboard in having a second PCIe 16x slot on the PRO version (and one less PCI slot), and a different chipset heat sink. The specs are otherwise quite similar, and their bios updates seem to be simultaneous.

(0004315)
norman02us (reporter)
2008-11-24 18:44

If you change the fan divisor in the "advanced" menu to 16 oder 32, the speed should be displayed correctly, even below 500rpm.
(0004318)
solomax (reporter)
2008-11-26 19:21

Not sure should I create new bug or add a bug note here
I have Gigabyte ga-p35-s3 motherboard.

Fan connected to 3 pin jack (PWM_FAN, SYS_FAN1) is not controlled by SpeedFan
if same fan connected to 4 pin jack (CPU_FAN, SYS_FAN2) everything work just fine.

Does anybody knows workarounds?
Thanks
(0004319)
spar (reporter)
2008-11-26 22:05

Not yet.

If you have more/other 3pins/4pins, try using them. Ive got a fan with a 3pin and 4pin jack, I know its good, it worked on a different mobo, but somehow the fan display in Speedfan got messed up and fans werent controllable anymore. Using its 3pin, or 4pin dont know but I can check, fixed that.
When playing around in my BIOS with the Q-Fan control settings, Speedfan entirely got messed up and I got only 1 fan to show up.
I have Q-Fan disabled now so it wont interfere, you can try to disable or enable that to see if it makes any difference.
(0004320)
norman02us (reporter)
2008-11-26 22:06

PWM_FAN cannot be controlled, I'm not sure about SYS_FAN1 but I think it's also not controllable. So this is absolutely normal.
(0004357)
The Darkmaster (reporter)
2009-01-13 21:18

Same problem here. I searched on some sites and done some tests, seens all chass fans are wired together on P5Q-E. If I change speed to fan1, fan 2 is also affected and vice-versa. Maybe is needed to use the "ATK0110" interface on this mobo to get fan control?
(0004372)
pit63 (reporter)
2009-01-28 00:01

Any news about the CPU fan control with speedfan on a P5Q ?
(0004375)
norman02us (reporter)
2009-01-30 01:29
edited on: 2009-02-13 09:10

Hey Alfredo,

I've got a new hint. When CPU fan control is disabled in Asus Fan Expert before starting Speedfan for the first time, Speedfan is actually able to control the CPU_FAN correctly. After a restart, the control doesn't work anymore (didn't test it myself).

@edit
The board used is a P5Q Pro.

(0004420)
norman02us (reporter)
2009-02-13 09:11

@alfredo
Any update on that?
(0004421)
alfredo (manager)
2009-02-13 13:47

@norman02us
I'm not getting email notifications from this site. At first I though it was because of my newly configure mail server, but now I see that I need to upgrade the site.
I will try to read again the whole datasheet and try to figure out how the inconsitencies in it can be sorted out.
(0004453)
draba (reporter)
2009-02-14 17:56
edited on: 2009-02-14 17:57

Same issue with P5Q deluxe.
By looking at 0001280, my understanding is that it won't ever be possible to use speedfan to control chassis fan speeds individually.
Is this correct?

Anyway, thanks for the work on speedfan. Worst case scenario I'll have to use some resists before soft control.

(0004455)
norman02us (reporter)
2009-02-14 18:46

@draba
Your assumption is correct. Asus wired the CHA_FAN headers together, so on the P5B/P5K/P5Q Series they can only be controlled together.

The CPU_FAN can be controlled individually, but it doesn't work on the P5Q Series, yet.
(0004456)
alfredo (manager)
2009-02-14 20:22

I'm studying the W83667HG datasheet.
Let's look at CPUFANOUT.
Bank 0 Reg 04h bits 5-4 are used to select Manual, ThermalCruise, FanSpeedCruise or SmartFanIII.
Bank 0 Reg 7Ch bit 6 is used to select FANCTRL2 or FANCTRL4.
FANCTRL2 can use either SmartFanI or SmartFanIII. Does anybody know how we can select which mode to use?
I have an idea, but I would like to hear your suggestions first.
(0004460)
norman02us (reporter)
2009-02-15 11:55

@alfredo
Could you upload the datasheet or post a link?
(0004461)
alfredo (manager)
2009-02-15 18:53

I see. I got it under NDA...
(0004462)
Willamette2 (reporter)
2009-02-15 20:23

@norman02us
If you whant to get a datasheet of W83667HG you may go to:
 http://www.datasheetdir.com/W83667HG+Interface [^]
(0004463)
norman02us (reporter)
2009-02-15 21:30

@Willamette2
Thank you. I already knew that link, but the datasheet you can download there belongs to Winbond W83697HF, not the desired W83667HG.
(0004479)
Willamette2 (reporter)
2009-02-16 22:16
edited on: 2009-02-16 22:17

@norman02us
Sorry,inattentively looked(in doing so, the site admits mistake).
On site:
 http://www.lavalys.com/forum/index.php?showtopic=3349 [^]
may Leave a message, they can be sent(maybe).
Or go on
 http://www.nuvoton.com/hq/enu/ProductAndSales/ProductLines/ComputerIC/SuperIO/LPCSuperIOforDesktopAndServer/ [^]
and feedback with ComputerIC@nuvoton.com

(0004629)
pit63 (reporter)
2009-03-05 20:19

Please Alfredo , find a solution , would be great ....
(0004630)
alfredo (manager)
2009-03-05 20:27

@pit63
I agree. I'm trying to understand the datasheet, but I'm afraid that either there is something missing in there or there is an error somewhere.
(0004634)
haysdb (reporter)
2009-03-06 20:46
edited on: 2009-03-06 20:59

Add the P6T Deluxe V2: No control of the CPU fan and all three chassis fan headers are controlled as one. This is OK for the case fans but I will have no way of independently controlling the fans on a Cooler Master Twin Turbo VGA cooler.

Actually, what I can do and might have to do is run all the case fans directly off the power supply. They'll run at full speed but they are all acceptably quiet. I can then use one of the motherboard fan headers and SpeedFan to control the GPU cooler based on the GPU temperature.

I guess I'll just have to let QFan control the CPU fan. That's OK too I guess, as Asus allows a good amount of control.

(0004680)
EdwardL (reporter)
2009-03-27 01:05
edited on: 2009-03-27 01:38

Hi all, total Speedfan newbie, just to confirm above issue on P6T Deluxe board also, Winbond W83627DHG, chassis fans all controlled together; setting QFan off in BIOS changes nothing as per above assumption SpeedFan overrides this.
Strangely, i am using SilenX 3-pin non-PWM fans, physically cannot change PWM Type to DC Output for PWM Type 1-3 in Advanced settings for the Windbond chip.. The are set by default to PWM Output, 4 is set to DC. They are working fine as is with default setting, a little misleading..

I will try the Asus Fan Expert workaround to get control of the CPU fan - my biggest issue right now is that i'm about to rip my 1st 9800GTX+ to pieces and replace stock with T-Rad2 w/2 92mm fans instead of the noisy beast on there right now, and by the looks of it i'm doomed to buying a hard fan controller unless you guys can come up with some way to get those chassis fans working separately.

Thanks for an otherwise great product, wish I wasn't running into this much trouble on my first o/c since my old BP6....

Keep us posted.. :) good luck.

Couple of other issues:
-I have an AUX reading of -28, when no other sensor shows +28, so something freaky here.
-The P6TDeluxe has a PWRFAN header, I have attached the cable from my Enermax Revolution and Hardware Monitor in BIOS shows it around 700RPM. There seems to be no corresponding sensor showing this fan's speed in Speedfan - there are 2 fan sensors, Sys Fan and Aux0 fan, showing 0.
- When set 1200rpm chassis fans to run below 50%, speedfan reports 0rpm, fans still run down to around 25-30% before they actually stop..

Any help with these greatly appreciated, apologies if already dealt with...

Ed

>EDIT: Speed1 (controlling Chassis Fans) and Speed 3 (controlling sweet FA) retain setting after close/reopen speedfan. Speed2 and Speed4 both lose setting and reopen at 100% (although still apparently controlling nothing)..
My guess is 1 of those is the CPU control i need to wrest from Asus's grubby paws...

(0004681)
norman02us (reporter)
2009-03-27 01:54
edited on: 2009-03-27 01:55

The chassis fans can only be controlled together. This limitation is due to Asus, not to Speedfan. Speedfan could control them separately, but Asus wired the three headers together.

The AUX reading (-28) is an unused sensor. Speedfan always detects the capabilities of the hardware monitoring chip. If the motherboard manufacturer decides not to use all capabilities of the chip, Speedfan will still show them.

To show the fan speed with low rpms you need to increase "fan divisor" to 8 or 16 in the advanced menu.

(0004683)
EdwardL (reporter)
2009-03-27 04:06

Thanks for that info, low rpm prob resolved.
As matter of info, I could not reproduce Asus Fan Xpert workaround above, even completely uninstalling SpeedFan it seems that the P6TDeluxe is unable to tune down my non-PWM SilenX fan - see attached JPG file "Dodgy Asus Fan Control".

You'll see that having selected a user profile and smashed the target rpms to minimum, once i hit calibrate it still has 1200+- rpm for every level, 20-100%...

I have a niggling suspicion: tomorrow i'll plug my lush SilenX into a molex and hook up the stock Intel P.O.S. fan to the CPUFan header, and see if FanXpert has a better time dealing with that 4-pin lump of crap in the caliberation test.

I know this is heresy asking this here, but can you recommend a good AUTOMATIC fan controller, i.e. one that will ramp up a corresponding fan speed when a particular thermistor hits preassigned levels? Maybe i'm asking too much :S

Will keep you posted on the butcher tests..

Thanks
(0004684)
norman02us (reporter)
2009-03-27 04:16

You should be able to control three (3pin) fans with Speedfan when connected to the CHA_FAN headers. Speedfan is able to do that for several years! on the Winbond W83627DHG. It works perfectly for all P5B, P5K and P5Q Series. So it should work with your board as well.
Only the PWM-control on the CPU_FAN header doesn't work on the latest boards, yet.

How did you cofigure Q-Fan in the BIOS?

Where are you from (regarding the fan controller recommendation)?
(0004685)
EdwardL (reporter)
2009-03-27 04:41

Hi again, Chassis fans are working beautifully, albeit all at same percentage thanks to lazy Asus wiring, that has never been the problem...
My above point was that even Asus' own program doesnt seem to be able to control my 3-pin cpu fan down below 100% - i'm wondering if it only had that capability for 4-pin PWM fans, hence my idea for tomorrow's test..

Q-Fan enabled and disabled gives same results - perfect synchronised swimming from the Chassis fans - now running at 400rpm :)), and sod all control of the CPU fan, with or without disabling in fan expert as per your hint above:
"I've got a new hint. When CPU fan control is disabled in Asus Fan Expert before starting Speedfan for the first time, Speedfan is actually able to control the CPU_FAN correctly. After a restart, the control doesn't work anymore (didn't test it myself)."
I tried that, setting all Speed down to 50% - only the chassis fans reacted...

I'm from the UK, but all over the place really so no limitations on getting my hands on any make/model of controller so long as it's current... My guess is that I will leave SpeedFan to take care of intake and exhaust based on case temp, and use a controller to handle O/C and load-sensitive CPU and GPU fans (total of 3 now, 5 once i SLI, although 2 on each GFX card can be dealt with together) based on thermistor readings.. Automatic ramping of fans would be a must though, don't really want to have to remember to pump up the rpms manually anytime i feel the need for an encoding/Crysis/OC session.

Really appreciate the help - i'm used to an accoustically lagged studio-grade PC generating <20dbA @ 1 metre. Weighs 23kg, but it's a monolith :)
Not keen to change my love of silence...

Ed
(0004686)
norman02us (reporter)
2009-03-27 05:55

Your assumption is correct. Asus does not provide voltage control (only PWM) on the CPU_FAN.

Why don't you attach all fans to the CHA_FAN headers using Y-cables? Although they are changed simultaneously I find that to be a very good way of creating silence in Idle and enough airflow on load (with OC).

For example, you could configure Speedfan that all fans go up when the GPU Temp exceeds 75
(0004687)
EdwardL (reporter)
2009-03-27 18:11

Seems workable... shame Asus cocked it up, I honestly thought I could rely on them for decent gear, and there's no way i'm taking this monster apart and changing now.. I think i'll make do with your suggestion, combined with running one or two fixed speed @5v or @10v off off the PSU directly.
O well..

One last little question - Speedfan finds my XFX 9800GTX+ OK, but i get no fan data or control, only GPU temp.. is this also normal? Stock cooler about to go bye-bye...

Thanks again for your help, again very much appreciated.
The old PC contents (P4 3.2 on a rare SuperMicro P4SCT+2 board) are going into an HTPC case tonight, hopefully i'll have more control of the 4 case fans on that board with this superb software.
If and when I do, i'll happily send some data, sometime seems that I'm the only one out there with this board. Should make for some interesting SMART results too, 3WARE 9550ML (12-port) is in there on PCI-X bus running my digital storage... will keep you posted on progress..



All the best!

Edward
(0004688)
norman02us (reporter)
2009-03-27 18:26

Not every graphics card fan can be controlled or displayed by Speedfan. It is a lot of work to support many graphic cards and custom designs/BIOS make it difficult.

Everest and Rivatuner should be able to read GPU fan speed, though. Rivatuner will also allow you to control the fan of the graphics card.
(0004694)
EdwardL (reporter)
2009-04-01 14:47
edited on: 2009-04-01 14:48

Hi all,

Just to keep you posted on progress, i got round to doing some testing of different configs, here's what I ended up doing on the P6TDeluxe board for manageable temps.
Hopefully this config below might be of some use as a guideline for others using a similar non-PWM fan setup on this board..
Please excuse the length of the post as it was necessary to give some details and explanation of choices, if you don't have an Asus board with silly fan wiring or a passion for silence then you will probably want to save yourself the trouble...

Mobo P6TDeluxe
i7 940 @ stock (for now)
Thermalright TrueBlack w/120mm fan
Mid-tower case w/1 120mm intake, 1 120mm exhaust, seriously accoustically lagged. (AccoustiCase)
 - All 120mm fans are SilenX IExtrema Pro IXP-74 series, NON-PWM
Enermax Revolution85+ 950W w/fan towards CPU area (not separate thermal zone)
XFX 9800GTX+ Black Edition (factory OC)

CPU fan is connected to CPU-FAN header, downvolted from stock to spin at steady 1000RPM come rain or shine. 2 'Case' fans are attached to CH-FAN headers on mobo and as detailed above, although controllable by Speedfan, are linkde together.
Neither Speedfan NOR the Asus board can control the speed of the 3-Pin non-PWM 120mm fan I have connected to CPU-FAN header. I run it from here as I want RPM readout and alarm capability in case of failure.

The noisiest component by a long way is the stock XFX Black 9800GTX+ cooler. It's a pig, and just having the Aero interface enabled in Windows with IE is enough for it to be easily audible @1.5m (next to desk)
So i ripped it off and replaced it with a Thermalright T-Rad 2 radiatior, and slapped on 2 92mm SilenX Iextrema Pro fans. These too are downvolted to 10v from 12v, and they are running inaudibly at constant RPM directly off the PSU. As a guideline, idle GPU temp with this new config is 37
(0004696)
Fjord (reporter)
2009-04-02 08:23

Edward, it would be great if you could post your detailed settings for SpeedFan, and/or screen shots, as a tab-by-tab description. It would be nice to see how a complete SpeedFan configuration should look for these boards.
(0004728)
RamdomPavarotti (reporter)
2009-04-27 15:39

I have just installed a p5ql-e motherboard and I am experiencing the same issue. I can use speedfan to control the chasis fan down to very slow speeds.

As Speedfan cannot (currently) control the PWM CPU fan speed I have resorted to using the ASUS "Fan Expert" tool - but it only goes down to 20% (about 800RPM on my system) which isn't really slow (quiet) enough for me.

Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked Intel 82801JIB ICH10 SMBUS at $0400
Scanning ISA BUS at $0290...
SuperIO Chip=Winbond W83667HG
Winbond W83627DHG (ID=$C1) found on ISA at $290
Scanning Intel SMBus at $0400...
Found WDC WD6400AAKS-65A7B0 (640.1GB)
Found Hitachi HDT725050VLA360 (500.1GB)
Found SAMSUNG HD502HI (500.1GB)
Found Intel(R) Core(TM)2 Duo CPU E6750 @ 2.66GHz
End of detection
Loaded 0 events
CLOCK GENERATOR set to ICS 9250-37

I have used Speedfan in the past and would love to be able to use it on this mobo. Please let me know if there is any way I can assist in resolving this issue.

RndPav.
(0004729)
delanvital (reporter)
2009-04-27 17:00

it seems this is the exact same problem as me - in this post, although there has been no response from Alfredo

http://www.bugtrack.almico.com/view.php?id=1222 [^]
(0004730)
delanvital (reporter)
2009-04-27 17:23
edited on: 2009-04-27 17:55

Also, it is the same SuperIO:

"Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked Intel 82801JIB ICH10 SMBUS at $0400
Found nVidia GeForce 8800 GT
Linked nVidiaI2C0 SMBUS at $3D403E3F
Linked nVidiaI2C1 SMBUS at $3D403637
Linked nVidiaI2C2 SMBUS at $3D405051
Scanning ISA BUS at $0290...
SuperIO Chip=Winbond W83667HG
Winbond W83627DHG (ID=$C1) found on ISA at $290
Scanning Intel SMBus at $0400...
Address $31 appears to be WRITE ONLY...
Scanning I2CNVidia SMBus at $3D403E3F...
Address $2D appears to be WRITE ONLY...
Address $2E appears to be WRITE ONLY...
Address $48 appears to be WRITE ONLY...
Address $49 appears to be WRITE ONLY...
Address $4C appears to be WRITE ONLY...
Address $50 appears to be WRITE ONLY...
Scanning I2CNVidia SMBus at $3D403637...
Address $2D appears to be WRITE ONLY...
Address $2E appears to be WRITE ONLY...
Address $48 appears to be WRITE ONLY...
Address $49 appears to be WRITE ONLY...
Address $4C appears to be WRITE ONLY...
Address $50 appears to be WRITE ONLY...
Scanning I2CNVidia SMBus at $3D405051...
Address $2D appears to be WRITE ONLY...
Address $2E appears to be WRITE ONLY...
Address $48 appears to be WRITE ONLY...
Address $49 appears to be WRITE ONLY...
Address $4C appears to be WRITE ONLY...
Address $50 appears to be WRITE ONLY...
Found HDS722512VLSA80 (123,5GB)
Found Intel(R) Core(TM)2 Quad CPU Q6600 @ 2.40GHz
End of detection
Loaded 0 events

Edit: just to point out, as also mentioned in my link, a P5Q, PRO-type, also has this problem.

Edit2: I can also confirm that installing and running Everest brings up the RPMs of the chassis fan I have - as does running Fan Xpert.

Edit3: On this P5Q PRO, according to Everest, the chip is Winbond W83667HG (ISA 290h) and not DHG if that helps anyone...

(0004731)
delanvital (reporter)
2009-04-27 17:52

FWIW, Everest also reports 10 degrees lower CPU core temperatures than SpeedFan. I wonder which are true?
(0004862)
twinbee (reporter)
2009-06-09 12:06

Any closer to finding a solution I wonder? I have the ASUS P5QL Pro, and I'm dying to turn the fan revs down. Perhaps if I put the fan lead into a different fan socket on the motherboard that may help? I'd rather not put plasticine on the fan in an attempt to slow it down if possible.

Did someone mention an idea of using resistors to slow the fan down? If so, a pointer to a tutorial on the net would be greatly appreciated.

Sorry this post isn't a report as such, but I'll donate if Speedfan fixes the P5QL Pro :)
(0004863)
delanvital (reporter)
2009-06-09 12:17
edited on: 2009-06-09 12:19

hey twinbee, for what it is worth, you can quite cheaply get a manual fan controller. stuff like this http://pcfox.dk/img/billeder/NQ-3250.png. [^] More fancy stuff can regulate with temperature, but this can only change the speed. Be sure to check the temp increase if you lower the fan speeds!

Alternatively, Fan Xpert from Asus works fine. It is not as good as Speedfan, but it works.

(0004873)
twinbee (reporter)
2009-06-12 08:42

Thanks for the advice! I managed to find the Fan Xpert by digging out the ASUS CD (it was one of the 'extras' programs). Things are *great* now, as the fan is kept permanently at apx. 1250rpm (20%). Is there any way to decrease this even further? If SpeedFan supported the MB, would that allow less than 20% 'minimum' speed?

I might go for that fan controller you mentioned as a last resort.

Many thanks again.
(0004874)
delanvital (reporter)
2009-06-12 12:44
edited on: 2009-06-12 12:47

If you haven't already - I think you can adjust it using the graphical interface, i.e. combining temperatures with percentages. Try moving the colourful "dots" a bit downwards and save your profile for future use.

The program is rather bloated considering it does so little, but until Speedfan can do the trick this is the only option I know of. Speedfan is also a much better thermostate.

Speedfan will allow you to set it to 0%, stopping the fan, which means you might find some steps in between the 20 percent in Fan Xpress and 0%. You would have to test that with your eyes on the fan though - at some point above 0%, the fan would not rotate. I.e. I bet at below 5% or so, the fan would fail to spin...

Be sure to look out for high temperatures though, and at least let the fan go to 100% when the cpu does get really hot.

(0004887)
MASTER (reporter)
2009-06-26 18:15

You said Fan Xpert works fine, but with a 3 or 4 wires fan?
(0004888)
delanvital (reporter)
2009-06-26 18:17

4
(0004889)
In-Fluence (reporter)
2009-06-27 18:07

My experience with speedfan & my old P5-B dlx gave a lot of the issues being reported here, but have recently upgraded to a Maximus II formula which has the W83667HG superIO chip. I was really hoping for more detail on temperatures and voltages as the supplied (but slow) asus software does, but it seems I'm getting exactly the same capabilities as I had with the P5B even though there are at least another 6 voltage, and 4 temp sensors on the board.

I've uninstalled speedfan & reinstalled it, but same results (perhaps I need to manually delete files?). I can control 3 fans simultaneously which are connected to the chassis headers, which which work very well when tied to my CPU temp (for a 3-fan Radiator) and it reports all their speeds, by default, these come up as Sys Fan, CPU1 Fan, and Aux1 Fan. The other two I have connected to the power (default Aux0 Fan) & CPU (CPU0 Fan) headers which also report speeds. The other 3 (OPT 1-3) headers don't show up in SF at all, but do have speed control options in bios.

Here's the report:

Win9x:NO 64Bit:NO GiveIO:YES SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked Intel 82801JIB ICH10 SMBUS at $0400
Found nVidia GeForce 8600 GTS
Linked nVidiaI2C0 SMBUS at $3D403E3F
Linked nVidiaI2C1 SMBUS at $3D403637
Linked nVidiaI2C2 SMBUS at $3D405051
Scanning ISA BUS at $0290...
SuperIO Chip=Winbond W83667HG
Winbond W83627DHG (ID=$C1) found on ISA at $290
Scanning Intel SMBus at $0400...
SMBus msg : Failed reset at end $20 ($40)
Address $21 appears to be WRITE ONLY...
Address $22 appears to be WRITE ONLY...
LM75 found on SMBus at $4F
Address $58 appears to be WRITE ONLY...
Scanning I2CNVidia SMBus at $3D403E3F...
Address $2D appears to be WRITE ONLY...
Address $2E appears to be WRITE ONLY...
Address $48 appears to be WRITE ONLY...
Address $49 appears to be WRITE ONLY...
Address $4C appears to be WRITE ONLY...
Address $50 appears to be WRITE ONLY...
Scanning I2CNVidia SMBus at $3D403637...
Address $2D appears to be WRITE ONLY...
Address $2E appears to be WRITE ONLY...
Address $48 appears to be WRITE ONLY...
Address $49 appears to be WRITE ONLY...
Address $4C appears to be WRITE ONLY...
Address $50 appears to be WRITE ONLY...
Scanning I2CNVidia SMBus at $3D405051...
Address $2D appears to be WRITE ONLY...
Address $2E appears to be WRITE ONLY...
Address $48 appears to be WRITE ONLY...
Address $49 appears to be WRITE ONLY...
Address $4C appears to be WRITE ONLY...
Address $50 appears to be WRITE ONLY...
Found Intel(R) Core(TM)2 Quad CPU Q6600 @ 2.40GHz
End of detection
Loaded 0 events

Any help or possible support for this board would be greatly appreciated :)
(0004937)
alfredo (manager)
2009-08-19 11:01

Hello! I'm working to decipher how the W83667HG SmartFan thing works. Actually I'm working to understand how to select each available mode. After several hours studying the datasheet I think I understood how it works.
What I would really appreciate now is if users with this chip can contact me by email. Please, do not use GMAIL addresses (or emails that will forward there) because I need to send a ZIPped EXE and I prefer not to waste time with bounces :-)
(0004939)
The Darkmaster (reporter)
2009-08-19 13:27

I have this chip on P5Q-E Alfredo, but exists a email than accept EXEs yet? Try to send as ZIP or RAR, I here use too a trick, I rename the EXE to something else like "archive.xyz"
(0004941)
alfredo (manager)
2009-08-19 13:31

@The Darkmaster
According to my experience, only GMAIL rejects EXEs with no further check. But if you try to rename an EXE to anything else, GMAIL will identify it as an EXE and will reject it anyway :-)
I have a beta for you to try. Feel free to contact me by email.
(0004943)
alfredo (manager)
2009-08-19 15:37

Ok. I have a beta now that can change CPU fan speed with no problem :-)
(0004944)
jonib (reporter)
2009-08-19 16:24

Yes I'm able to change the CPU fan speed finally :-) from ~1100RPM to ~2500RPM.
Good work with the beta Alfredo.
(0004945)
alfredo (manager)
2009-08-19 17:20

This issue can be finally marked as *resolved*.
Thank you all for the reports and the patience.
I will publish the beta in a few days.

- Issue History
Date Modified Username Field Change
2008-08-15 13:38 WaltA New Issue
2008-08-15 13:38 WaltA Status new => assigned
2008-08-15 13:38 WaltA Assigned To => alfredo
2008-08-15 13:38 WaltA Video Card Model => MSI Geforce 9500 GT
2008-08-15 13:41 WaltA Note Added: 0004002
2008-08-15 15:20 norman02us Note Added: 0004003
2008-08-15 22:31 WaltA Note Added: 0004009
2008-08-15 23:19 norman02us Note Added: 0004010
2008-08-16 00:19 Hofman Note Added: 0004011
2008-08-16 00:33 Hofman Note Edited: 0004011
2008-08-16 12:56 WaltA Note Added: 0004012
2008-08-16 15:21 norman02us Note Added: 0004013
2008-08-17 18:18 WaltA Note Added: 0004014
2008-08-20 08:49 shawnboy Note Added: 0004030
2008-08-27 12:31 alfredo Note Added: 0004065
2008-08-27 12:31 alfredo Status assigned => acknowledged
2008-08-27 12:56 alfredo Note Added: 0004066
2008-08-27 14:39 alfredo Note Added: 0004067
2008-08-27 14:39 alfredo Note Edited: 0004066
2008-08-27 15:53 Hofman Note Added: 0004068
2008-08-27 18:04 Hofman Note Edited: 0004068
2008-08-27 18:08 Hofman Note Edited: 0004068
2008-08-31 14:37 WaltA Note Added: 0004071
2008-08-31 16:39 Hofman Note Added: 0004072
2008-09-09 12:52 Hofman Note Added: 0004129
2008-09-09 14:11 alfredo Note Added: 0004130
2008-09-09 14:59 alfredo Note Added: 0004131
2008-09-09 15:22 alfredo Note Added: 0004132
2008-09-12 22:13 Hofman Note Added: 0004151
2008-09-28 01:41 norman02us Note Added: 0004194
2008-10-26 19:33 cothilian Note Added: 0004233
2008-11-12 18:34 sanchezz Note Added: 0004260
2008-11-15 21:11 spar Note Added: 0004273
2008-11-15 21:12 spar Note Edited: 0004273
2008-11-24 17:22 Fjord Note Added: 0004314
2008-11-24 18:44 norman02us Note Added: 0004315
2008-11-24 20:50 Fjord Note Edited: 0004314
2008-11-26 19:21 solomax Note Added: 0004318
2008-11-26 22:05 spar Note Added: 0004319
2008-11-26 22:06 norman02us Note Added: 0004320
2009-01-13 21:18 The Darkmaster Note Added: 0004357
2009-01-28 00:01 pit63 Note Added: 0004372
2009-01-30 01:29 norman02us Note Added: 0004375
2009-01-30 01:30 norman02us Note Edited: 0004375
2009-02-13 09:10 norman02us Note Edited: 0004375
2009-02-13 09:10 norman02us Note Edited: 0004375
2009-02-13 09:11 norman02us Note Added: 0004420
2009-02-13 13:47 alfredo Note Added: 0004421
2009-02-13 18:47 alfredo Relationship added has duplicate 0001280
2009-02-14 17:56 draba Note Added: 0004453
2009-02-14 17:57 draba Note Edited: 0004453
2009-02-14 18:46 norman02us Note Added: 0004455
2009-02-14 20:22 alfredo Note Added: 0004456
2009-02-15 11:55 norman02us Note Added: 0004460
2009-02-15 18:53 alfredo Note Added: 0004461
2009-02-15 20:23 Willamette2 Note Added: 0004462
2009-02-15 21:30 norman02us Note Added: 0004463
2009-02-16 22:16 Willamette2 Note Added: 0004479
2009-02-16 22:17 Willamette2 Note Edited: 0004479
2009-03-05 20:19 pit63 Note Added: 0004629
2009-03-05 20:27 alfredo Note Added: 0004630
2009-03-06 20:46 haysdb Note Added: 0004634
2009-03-06 20:59 haysdb Note Edited: 0004634
2009-03-27 01:05 EdwardL Note Added: 0004680
2009-03-27 01:16 EdwardL Note Edited: 0004680
2009-03-27 01:38 EdwardL Note Edited: 0004680
2009-03-27 01:54 norman02us Note Added: 0004681
2009-03-27 01:55 norman02us Note Edited: 0004681
2009-03-27 03:57 EdwardL File Added: Dodgy Asus Fan Control.jpg
2009-03-27 04:06 EdwardL Note Added: 0004683
2009-03-27 04:16 norman02us Note Added: 0004684
2009-03-27 04:41 EdwardL Note Added: 0004685
2009-03-27 05:55 norman02us Note Added: 0004686
2009-03-27 18:11 EdwardL Note Added: 0004687
2009-03-27 18:26 norman02us Note Added: 0004688
2009-04-01 14:47 EdwardL Note Added: 0004694
2009-04-01 14:48 EdwardL Note Edited: 0004694
2009-04-02 08:23 Fjord Note Added: 0004696
2009-04-27 15:39 RamdomPavarotti Note Added: 0004728
2009-04-27 17:00 delanvital Note Added: 0004729
2009-04-27 17:23 delanvital Note Added: 0004730
2009-04-27 17:30 delanvital Note Edited: 0004730
2009-04-27 17:34 delanvital Note Edited: 0004730
2009-04-27 17:52 delanvital Note Added: 0004731
2009-04-27 17:55 delanvital Note Edited: 0004730
2009-06-09 12:06 twinbee Note Added: 0004862
2009-06-09 12:17 delanvital Note Added: 0004863
2009-06-09 12:19 delanvital Note Edited: 0004863
2009-06-12 08:42 twinbee Note Added: 0004873
2009-06-12 12:44 delanvital Note Added: 0004874
2009-06-12 12:46 delanvital Note Edited: 0004874
2009-06-12 12:46 delanvital Note Edited: 0004874
2009-06-12 12:47 delanvital Note Edited: 0004874
2009-06-26 18:15 MASTER Note Added: 0004887
2009-06-26 18:17 delanvital Note Added: 0004888
2009-06-27 18:07 In-Fluence Note Added: 0004889
2009-08-19 11:01 alfredo Note Added: 0004937
2009-08-19 13:25 alfredo Summary ASUS P5Q - Can't control CPU Fan Speed => ASUS P5Q (W83667HG) - Can't control CPU Fan Speed
2009-08-19 13:25 alfredo Relationship added has duplicate 0001430
2009-08-19 13:27 The Darkmaster Note Added: 0004939
2009-08-19 13:31 alfredo Note Added: 0004941
2009-08-19 15:37 alfredo Note Added: 0004943
2009-08-19 16:24 jonib Note Added: 0004944
2009-08-19 17:20 alfredo Note Added: 0004945
2009-08-19 17:20 alfredo Status acknowledged => resolved
2009-08-19 17:20 alfredo Resolution open => fixed
2009-08-19 17:20 alfredo Fixed in Version => 4.40 beta
2016-12-21 20:01 09876ggddzz Issue cloned: 0002600


Copyright © 2000 - 2018 MantisBT Team
Time: 0.4137 seconds.
memory usage: 8,862 KB
Powered by Mantis Bugtracker